[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TCompressor.BufferSize

Size of the buffer used for compression

## Declaration

Source position: zipper.pp line 226

`public property TCompressor.BufferSize : LongWord read FBufferSize;`

## Description

BufferSize is a read-only LongWord property with the size of the buffer used for compression. The property is set to the value passed as an argument to the Create constructor.

BufferSize is used in the Compress method (in descendent classes) to allocate a pointer to a memory block with the required size. It also determines the read size used when processing an input file or stream.

## See also

TCompressor.Create |  | Creates a TCompressor object
TShrinker.Compress |  | Compresses input values using LZW (shrink) compression
TDeflater.Compress |  | Performs compression using the Deflate algorithm